# checkbox.h File Reference

`#include <gwenhywfar/misc.h>`
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/ui/widget.h>`

Go to the source code of this file.

## Functions

int | GWEN_CheckBox_IsChecked (const GWEN_WIDGET *w)
GWEN_WIDGET * | GWEN_CheckBox_new (GWEN_WIDGET *parent, GWEN_TYPE_UINT32 flags, const char *name, const char *text, int x, int y, int width, int height)
void | GWEN_CheckBox_SetChecked (GWEN_WIDGET *w, int b)

## Function Documentation

int GWEN_CheckBox_IsChecked | ( | const GWEN_WIDGET * | w | ) |

GWEN_WIDGET* GWEN_CheckBox_new | ( | GWEN_WIDGET * | parent,
|  | GWEN_TYPE_UINT32 | flags,
|  | const char * | name,
|  | const char * | text,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |

void GWEN_CheckBox_SetChecked | ( | GWEN_WIDGET * | w,
|  | int | b
| ) |